// PortTestDlg.h : header file
//

#if !defined(AFX_PORTTESTDLG_H__5371BBAA_30B6_4CC3_B32A_2A63F5689BEE__INCLUDED_)
#define AFX_PORTTESTDLG_H__5371BBAA_30B6_4CC3_B32A_2A63F5689BEE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CPortTestDlg dialog

#define PORTTEST_VER "2.3"

class CPortTestDlg : public CDialog
{
// Construction
public:
	CString GetPCSidePath();
	void EnumPCSideFolder();
	void EnumPCSideFiles(char* pPath);
	~CPortTestDlg();
	CPortTestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPortTestDlg)
	enum { IDD = IDD_PORTTEST_DIALOG };
	CListBox	m_listDirectoryPC;
	CListBox	m_listPCFiles;
	CListBox	m_listFiles;
	CListBox	m_listDirectory;
	CComboBox	m_ctlCom;
	int		m_nPortType;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPortTestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPortTestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnReqAlopen();
	afx_msg void OnBtnReqAlclose();
	afx_msg void OnBtnReqVersion();
	afx_msg void OnButReqDir();
	afx_msg void OnButReqDirFolder();
	afx_msg void OnSelchangeListDirectory();
	afx_msg void OnButReqUploadfile();
	afx_msg void OnSelchangeListFiles();
	afx_msg void OnButReqDownloadfile();
	afx_msg void OnSelchangeListPcFiles();
	afx_msg void OnSelchangeListDirectoryPc();
	afx_msg void OnButReqDeletefile();
	afx_msg void OnButReqFormatC();
	afx_msg void OnButReqFormatD();
	afx_msg void OnButReqDefragdisk();
	afx_msg void OnButReqFileexist();
	afx_msg void OnButReqDirexist();
	afx_msg void OnButReqFirmware();
	afx_msg void OnButReqSetdate();
	afx_msg void OnButReqSerialnum();
	afx_msg void OnButReqPdcInfo();
	afx_msg void OnPortType();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PORTTESTDLG_H__5371BBAA_30B6_4CC3_B32A_2A63F5689BEE__INCLUDED_)
